org.apache.xalan.xsltc.trax

## Class TrAXFilter

- java.lang.Object
- - org.xml.sax.helpers.XMLFilterImpl
  - - org.apache.xalan.xsltc.trax.TrAXFilter

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.XMLFilter, org.xml.sax.XMLReader

      public class TrAXFilter
      extends org.xml.sax.helpers.XMLFilterImpl

  skeleton extension of XMLFilterImpl for now.
  Author:
    Santiago Pericas-Geertsen, G. Todd Miller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrAXFilter(javax.xml.transform.Templates templates)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.transform.Transformer` | `getTransformer()`
    `void` | `parse(org.xml.sax.InputSource input)`
    `void` | `parse(java.lang.String systemId)`
    `void` | `setContentHandler(org.xml.sax.ContentHandler handler)`
    `void` | `setErrorListener(javax.xml.transform.ErrorListener handler)`

    - ### Methods inherited from class org.xml.sax.helpers.XMLFilterImpl

      `characters, endDocument, endElement, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrAXFilter

          public TrAXFilter(javax.xml.transform.Templates templates)
                     throws javax.xml.transform.TransformerConfigurationException

      Throws:
        `javax.xml.transform.TransformerConfigurationException`

  - ### Method Detail

    - #### getTransformer

          public javax.xml.transform.Transformer getTransformer()

    - #### parse

          public void parse(org.xml.sax.InputSource input)
                     throws org.xml.sax.SAXException,
                            java.io.IOException

      Specified by:
        `parse` in interface `org.xml.sax.XMLReader`
      Overrides:
        `parse` in class `org.xml.sax.helpers.XMLFilterImpl`
      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### parse

          public void parse(java.lang.String systemId)
                     throws org.xml.sax.SAXException,
                            java.io.IOException

      Specified by:
        `parse` in interface `org.xml.sax.XMLReader`
      Overrides:
        `parse` in class `org.xml.sax.helpers.XMLFilterImpl`
      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### setContentHandler

          public void setContentHandler(org.xml.sax.ContentHandler handler)

      Specified by:
        `setContentHandler` in interface `org.xml.sax.XMLReader`
      Overrides:
        `setContentHandler` in class `org.xml.sax.helpers.XMLFilterImpl`

    - #### setErrorListener

          public void setErrorListener(javax.xml.transform.ErrorListener handler)

Copyright © 2023 Apache XML Project. All Rights Reserved.